# 文档服务

## 本地安装

`git clone` 到本地后，在项目根目录下运行：

```shell
npm i
npm run dev
```

## 文档编写

开发相关文档位于 `one/docs/development` 下。文档目录结构与网站的目录结构一致，新建 `.md` 文件后需要在 `one/docs/nav.json` 中新建相应的条目，作为目录配置。添加 `sub: true` 将缩进一个层级。

### 组件文档结构

每个组件的文档请按如下顺序编写：

1. 示例
2. API

  1. 属性
  2. 插槽
  3. 作用域插槽
  4. 事件
  5. 方法

3. 全局配置

  1. `veui` 中的默认
  2. `veui-theme-dls` 中的默认配置

4. 图标名称

另外，如有关联组件请在最开始进行说明。比如：

```md
:::tip
`Select` 组件可以内联 [`Option`](./option) 或 [`OptionGroup`](./option-group) 组件使用。
:::
```

### 在文档中插入示例

使用 Markdown 的 shortcode 语法，如下：

```md
[[ demo src="../demo/button.vue"]]
```

路径为 demo 文件相对于当前文档文件的路径。Demo 文件是一个 Vue 单文件组件，最后会将代码展示到文档中。可以编写多个 `<style>` 块，如果带上自定义的 `docs` 属性，则会从文档的源码中去除，用来写一些不想输出到文档里的样式（建议文档里只展示和演示的用法相关的样式代码）。

可以为 demo 书写内嵌的说明，方法为在 demo 文件中增加 `<docs>` 自定义块

